Package com.android.server.os

# Interface LinphoneTombstoneProtos.MemoryErrorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.MemoryError`, `LinphoneTombstoneProtos.MemoryError.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.MemoryErrorOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.HeapObject`
`getHeap()`
`.HeapObject heap = 3;`
`LinphoneTombstoneProtos.MemoryError.LocationCase`
`getLocationCase()`
`LinphoneTombstoneProtos.MemoryError.Tool`
`getTool()`
`.MemoryError.Tool tool = 1;`
`int`
`getToolValue()`
`.MemoryError.Tool tool = 1;`
`LinphoneTombstoneProtos.MemoryError.Type`
`getType()`
`.MemoryError.Type type = 2;`
`int`
`getTypeValue()`
`.MemoryError.Type type = 2;`
`boolean`
`hasHeap()`
`.HeapObject heap = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getToolValue

int getToolValue()
`.MemoryError.Tool tool = 1;`

Returns:
  The enum numeric value on the wire for tool.

### getTool

LinphoneTombstoneProtos.MemoryError.Tool getTool()
`.MemoryError.Tool tool = 1;`

Returns:
  The tool.

### getTypeValue

int getTypeValue()
`.MemoryError.Type type = 2;`

Returns:
  The enum numeric value on the wire for type.

### getType

LinphoneTombstoneProtos.MemoryError.Type getType()
`.MemoryError.Type type = 2;`

Returns:
  The type.

### hasHeap

boolean hasHeap()
`.HeapObject heap = 3;`

Returns:
  Whether the heap field is set.

### getHeap

LinphoneTombstoneProtos.HeapObject getHeap()
`.HeapObject heap = 3;`

Returns:
  The heap.

### getLocationCase

LinphoneTombstoneProtos.MemoryError.LocationCase getLocationCase()